<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:26:53 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AbstractBootLoaderGen (org.eclipse.papyrus.designer.transformation.library 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractBootLoaderGen (org.eclipse.papyrus.designer.transformation.library 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":9,"i7":10,"i8":10,"i9":10,"i10":10,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractBootLoaderGen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AddMethodInterceptors.html" title="class in org.eclipse.papyrus.designer.transformation.library.transformations"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html" target="_top">Frames</a></li>
<li><a href="AbstractBootLoaderGen.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.transformation.library.transformations</div>
<h2 title="Class AbstractBootLoaderGen" class="title">Class AbstractBootLoaderGen</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.extensions/apidocs/org/eclipse/papyrus/designer/transformation/extensions/IM2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.extensions">IM2MTrafo</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractBootLoaderGen</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a></pre>
<div class="block">The task of the boot-loader is twofold: create the instances of all
 implementations (non-recursive).
 - create Connections: what should be done?

 TODO: factor out common code (TemplateInstantiation mechanism & createConnections below)
 Split between C++ specific and C++ independent aspects</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#CREATE_CONNECTIONS">CREATE_CONNECTIONS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#EMPTYSTR">EMPTYSTR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#EOL">EOL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#I_LIFE_CYCLE">I_LIFE_CYCLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#INIT_OP">INIT_OP</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.Class,org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_activation">m_activation</a></span></code>
<div class="block">Map containing activations/de-activations</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_bootLoader">m_bootLoader</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_copier">m_copier</a></span></code>
<div class="block">copier variable (instances still point to non-copied classes)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_initCode">m_initCode</a></span></code>
<div class="block">Initialization code, in particular assignment of part properties within composites</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_initCodeCConfig">m_initCodeCConfig</a></span></code>
<div class="block">Init code for create connections calls in composites with at least one assembly
 connector</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_initCodeCConnections">m_initCodeCConnections</a></span></code>
<div class="block">Init code for create connections calls in composites with at least one assembly
 connector</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#m_initCodeRun">m_initCodeRun</a></span></code>
<div class="block">Init code for blocking "run" calls (related to CStart system component)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#NL">NL</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#NODE_INFO">NODE_INFO</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#outputSizeof">outputSizeof</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#SYSINTERFACES_ISTART">SYSINTERFACES_ISTART</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#AbstractBootLoaderGen--">AbstractBootLoaderGen</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#addInit-java.lang.String-">addInit</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</code>
<div class="block">add the initialize operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#addInstance-org.eclipse.uml2.uml.InstanceSpecification-java.util.Stack-">addInstance</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
           <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Property</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#addInstance-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Class-">addInstance</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
           org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
           org.eclipse.uml2.uml.Class&nbsp;implementation)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#getPath-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-boolean-">getPath</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
       org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
       boolean&nbsp;accessName)</code>
<div class="block">Return the path from the main instance towards a sub-instance using the proper dereference
 operators (only relevant in case of C++)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#getUML--">getUML</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#hasUnconnectedLifeCycle-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Slot-">hasUnconnectedLifeCycle</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                       org.eclipse.uml2.uml.Class&nbsp;implementation,
                       org.eclipse.uml2.uml.Slot&nbsp;containerSlot)</code>
<div class="block">Check, if the passed implementation has an unconnected life-cycle interface (activate/deactivate).</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#hasUnconnectedStartRoutine-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Slot-">hasUnconnectedStartRoutine</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                          org.eclipse.uml2.uml.Class&nbsp;implementation,
                          org.eclipse.uml2.uml.Slot&nbsp;containerSlot)</code>
<div class="block">Check whether the passed implementation has an unconnected start port.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#implementsIStart-org.eclipse.uml2.uml.Class-">implementsIStart</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-int-int-">init</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
    int&nbsp;nodeIndex,
    int&nbsp;numberOfNodes)</code>
<div class="block">Create a new boot-loader in a specific package
 (which represents a node of the system).</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#instanceConfig-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-">instanceConfig</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
              org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)</code>
<div class="block">Add the configuration code for an instance</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#instantiateViaBootloader-org.eclipse.uml2.uml.StructuralFeature-">instantiateViaBootloader</a></span>(org.eclipse.uml2.uml.StructuralFeature&nbsp;structuralFeature)</code>
<div class="block">Normally, a composite instantiates its children.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageActivation-org.eclipse.uml2.uml.Class:A-">languageActivation</a></span>(org.eclipse.uml2.uml.Class[]&nbsp;activationKeys)</code>
<div class="block">language specific activation</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageAssignRef-java.lang.String-java.lang.String-">languageAssignRef</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;accessName,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;referenceVarName)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageCreateConn-java.lang.String-">languageCreateConn</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;varName)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageCreateInstance-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Class-">languageCreateInstance</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
                      org.eclipse.uml2.uml.Class&nbsp;implementation)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageDeactivation-org.eclipse.uml2.uml.Class:A-">languageDeactivation</a></span>(org.eclipse.uml2.uml.Class[]&nbsp;activationKeys)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageDefaultExecCode--">languageDefaultExecCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageInit--">languageInit</a></span>()</code>
<div class="block">language specific initialization code</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>abstract <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html#languageRunStart-java.lang.String-boolean-">languageRunStart</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;varName,
                boolean&nbsp;useOO)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.transformation.core.m2minterfaces.IM2MTrafoCDP">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a></h3>
<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true#applyTrafo-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Package-" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">applyTrafo</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CREATE_CONNECTIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CREATE_CONNECTIONS</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CREATE_CONNECTIONS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.CREATE_CONNECTIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SYSINTERFACES_ISTART">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SYSINTERFACES_ISTART</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SYSINTERFACES_ISTART</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.SYSINTERFACES_ISTART">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INIT_OP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INIT_OP</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> INIT_OP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.INIT_OP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="I_LIFE_CYCLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>I_LIFE_CYCLE</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> I_LIFE_CYCLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.I_LIFE_CYCLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EMPTYSTR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EMPTYSTR</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> EMPTYSTR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.EMPTYSTR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NODE_INFO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NODE_INFO</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NODE_INFO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.NODE_INFO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NL</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.NL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EOL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EOL</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> EOL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.designer.transformation.library.transformations.AbstractBootLoaderGen.EOL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="m_bootLoader">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_bootLoader</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Class m_bootLoader</pre>
</li>
</ul>
<a name="m_initCode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_initCode</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> m_initCode</pre>
<div class="block">Initialization code, in particular assignment of part properties within composites</div>
</li>
</ul>
<a name="m_initCodeCConfig">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_initCodeCConfig</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> m_initCodeCConfig</pre>
<div class="block">Init code for create connections calls in composites with at least one assembly
 connector</div>
</li>
</ul>
<a name="m_initCodeCConnections">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_initCodeCConnections</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> m_initCodeCConnections</pre>
<div class="block">Init code for create connections calls in composites with at least one assembly
 connector</div>
</li>
</ul>
<a name="m_initCodeRun">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_initCodeRun</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> m_initCodeRun</pre>
<div class="block">Init code for blocking "run" calls (related to CStart system component)</div>
</li>
</ul>
<a name="m_activation">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_activation</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.Class,org.eclipse.emf.common.util.EList&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&gt; m_activation</pre>
<div class="block">Map containing activations/de-activations</div>
</li>
</ul>
<a name="outputSizeof">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>outputSizeof</h4>
<pre>protected&nbsp;boolean outputSizeof</pre>
</li>
</ul>
<a name="m_copier">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_copier</h4>
<pre>protected&nbsp;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> m_copier</pre>
<div class="block">copier variable (instances still point to non-copied classes)</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractBootLoaderGen--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractBootLoaderGen</h4>
<pre>public&nbsp;AbstractBootLoaderGen()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="languageInit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageInit</h4>
<pre>public abstract&nbsp;void&nbsp;languageInit()</pre>
<div class="block">language specific initialization code</div>
</li>
</ul>
<a name="languageActivation-org.eclipse.uml2.uml.Class:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageActivation</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageActivation(org.eclipse.uml2.uml.Class[]&nbsp;activationKeys)</pre>
<div class="block">language specific activation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>activationKeys</code> - set of keys</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="languageDeactivation-org.eclipse.uml2.uml.Class:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageDeactivation</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageDeactivation(org.eclipse.uml2.uml.Class[]&nbsp;activationKeys)</pre>
</li>
</ul>
<a name="languageDefaultExecCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageDefaultExecCode</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageDefaultExecCode()</pre>
</li>
</ul>
<a name="languageCreateInstance-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageCreateInstance</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageCreateInstance(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
                                              org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
</li>
</ul>
<a name="languageCreateConn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageCreateConn</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageCreateConn(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;varName)</pre>
</li>
</ul>
<a name="languageRunStart-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageRunStart</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageRunStart(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;varName,
                                        boolean&nbsp;useOO)</pre>
</li>
</ul>
<a name="languageAssignRef-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>languageAssignRef</h4>
<pre>public abstract&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;languageAssignRef(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;accessName,
                                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;referenceVarName)</pre>
</li>
</ul>
<a name="init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                 int&nbsp;nodeIndex,
                 int&nbsp;numberOfNodes)
          throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Create a new boot-loader in a specific package
 (which represents a node of the system).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>copier</code> - a lazy copier</dd>
<dd><code>nodeIndex</code> - the index of the node</dd>
<dd><code>numberOfNodes</code> - the number of nodes</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPath-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
                      org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                      boolean&nbsp;accessName)</pre>
<div class="block">Return the path from the main instance towards a sub-instance using the proper dereference
 operators (only relevant in case of C++)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slotPath</code> - </dd>
<dd><code>instance</code> - </dd>
<dd><code>accessName</code> - return the name to access the feature. Returns access path to instance, not
            the name of the variable for this instance (if instantiated by bootloader)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="hasUnconnectedStartRoutine-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasUnconnectedStartRoutine</h4>
<pre>public static&nbsp;boolean&nbsp;hasUnconnectedStartRoutine(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                                                 org.eclipse.uml2.uml.Class&nbsp;implementation,
                                                 org.eclipse.uml2.uml.Slot&nbsp;containerSlot)</pre>
<div class="block">Check whether the passed implementation has an unconnected start port.
 This information is required, since only unconnected start ports are automatically called by the
 bootloader, in particular we want to avoid calling a start port of an executor (which is connected)
 and its container.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - </dd>
<dd><code>containerSlot</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="implementsIStart-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>implementsIStart</h4>
<pre>public&nbsp;boolean&nbsp;implementsIStart(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
</li>
</ul>
<a name="hasUnconnectedLifeCycle-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasUnconnectedLifeCycle</h4>
<pre>public static&nbsp;boolean&nbsp;hasUnconnectedLifeCycle(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copy,
                                              org.eclipse.uml2.uml.Class&nbsp;implementation,
                                              org.eclipse.uml2.uml.Slot&nbsp;containerSlot)</pre>
<div class="block">Check, if the passed implementation has an unconnected life-cycle interface (activate/deactivate).
 This information is required, since only unconnected life cycle ports are automatically called by the
 bootloader, in particular we want to avoid calling a life cycle port of an executor (which is connected)
 and its container.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - </dd>
<dd><code>name</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="instanceConfig-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>instanceConfig</h4>
<pre>public&nbsp;void&nbsp;instanceConfig(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
                           org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance)
                    throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Add the configuration code for an instance</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>slotPath</code> - </dd>
<dd><code>instance</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="addInit-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addInit</h4>
<pre>public&nbsp;void&nbsp;addInit(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</pre>
<div class="block">add the initialize operation. Must be called after a set of addInstance invocations</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>language</code> - programming language to use (in the opaque behavior creation)</dd>
</dl>
</li>
</ul>
<a name="instantiateViaBootloader-org.eclipse.uml2.uml.StructuralFeature-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>instantiateViaBootloader</h4>
<pre>protected&nbsp;boolean&nbsp;instantiateViaBootloader(org.eclipse.uml2.uml.StructuralFeature&nbsp;structuralFeature)</pre>
<div class="block">Normally, a composite instantiates its children. However, we want to enable the possibility
 to type a part in a composite with an abstract class and choose the concrete implementation
 in the moment of the deployment. In this case, the bootloader needs to perform the instantiation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>structuralFeature</code> - a structural feature in a composition (typically an attribute)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the boot loader should instantiate the associated component.</dd>
</dl>
</li>
</ul>
<a name="getUML--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUML</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Class&nbsp;getUML()</pre>
</li>
</ul>
<a name="addInstance-java.util.Stack-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addInstance</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.Property&nbsp;addInstance(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath,
                                                 org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                                                 org.eclipse.uml2.uml.Class&nbsp;implementation)
                                          throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="addInstance-org.eclipse.uml2.uml.InstanceSpecification-java.util.Stack-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addInstance</h4>
<pre>public&nbsp;void&nbsp;addInstance(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/util/Stack.html?is-external=true" title="class or interface in java.util">Stack</a>&lt;org.eclipse.uml2.uml.Slot&gt;&nbsp;slotPath)
                 throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractBootLoaderGen.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/transformation/library/transformations/AddMethodInterceptors.html" title="class in org.eclipse.papyrus.designer.transformation.library.transformations"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/transformation/library/transformations/AbstractBootLoaderGen.html" target="_top">Frames</a></li>
<li><a href="AbstractBootLoaderGen.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
